Gem::Specification.new do |gem|
  gem.name          = 'fluent-plugin-detect-exceptions-with-error'
  gem.description   = <<-eos
   Fork of fluent-plugin-detect-exceptions to include the preceding ERROR log line with a stack trace.
eos
  gem.summary       = \
    'fluentd output plugin for combining error messages and stack traces as multi-line JSON logs'
  gem.license       = 'Apache-2.0'
  gem.version       = '0.0.3'
  gem.authors       = ['Paul Boocock']
  gem.required_ruby_version = Gem::Requirement.new('>= 2.0')

  gem.files         = Dir['**/*'].keep_if { |file| File.file?(file) }
  gem.test_files    = gem.files.grep(/^(test)/)
  gem.require_paths = ['lib']

  gem.add_runtime_dependency 'fluentd', '~> 0.10'

  gem.add_development_dependency 'rake', '~> 10.3'
  gem.add_development_dependency 'rubocop', '= 0.42.0'
  gem.add_development_dependency 'test-unit', '~> 3.0'
end
